This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 181013 - Review Request: qgit - a GUI browser for local git repositories
Review Request: qgit - a GUI browser for local git repositories
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-02-11 13:13 EST by Dan Horák
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-29 09:09:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2006-02-11 13:13:53 EST
Spec Name or Url: http://www.danny.cz/qgit.spec
SRPM Name or Url: http://www.danny.cz/qgit-1.1-0.1.rc3.3.srpm
Description:

QGit is a GUI browser for local git repositories written using the QT library.

I have gone through the MUST steps for reviewers and it should be OK. The only thing about qgit's full function is a requirement for git newer then current 1.1.6. I am in contact with the developer and he is aware of it.
Comment 1 Jochen Schmitt 2006-02-12 15:32:17 EST
Sorry, I will got a 404 when I try to download the SRPM file. Downloading the
SPEC file worked fine.

Best Regards:

Jochen Schmitt
Comment 2 Dan Horák 2006-02-12 16:03:47 EST
Updated SRPM Url: http://www.danny.cz/qgit-1.1-0.1.rc3.3.src.rpm
Comment 3 Dan Horák 2006-02-13 09:32:21 EST
Just checked that it builds in mock for devel.
Comment 4 Dan Horák 2006-02-19 03:36:34 EST
update for final release 1.1

spec Name or Url: http://www.danny.cz/qgit.spec
SRPM Name or Url: http://www.danny.cz/qgit-1.1-1.src.rpm
Comment 5 John Mahowald 2006-02-26 15:40:31 EST
Good:

- rpmlint clean
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- proper .desktop file 
- works with a kernel tree

The only thing I can think of is that it could use an icon. Something to bug
upstream about I suppose.

APPROVED
Comment 6 Dan Horák 2006-03-03 16:52:03 EST
qgit is succesfully build for devel and I have asked the author to add an icon
Comment 7 John Mahowald 2006-08-29 09:09:13 EDT
Assigning to me.
Comment 8 Dan Horák 2007-06-13 08:19:51 EDT
Package Change Request
======================
Package Name: qgit
New Branches: EL-4 EL-5

Note You need to log in before you can comment on or make changes to this bug.